﻿


/**/
/* Nav */
/**/

nav {
    position: absolute;
    width: calc(100vw - var(--min-padding) * 2);
}

.nav__flow {
    width: 100%;
    height: 100%;
    margin: 0 auto;
    display: flex;
    padding: var(--min-padding);
}

.nav__hamburger {
    right: 0;
    position: relative;
    width: 4em;
    height: 4em;
    
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav__hamburger .cover-circle {
    position: absolute;
    width: 0%;
    height: 0%;
    border-radius: 50%;
    background: var(--clr-footer);
    pointer-events: none;
    transition: width 300ms ease, height 300ms ease;
}

.nav__hamburger .image {
    width: 100%;
    height: 100%;
    background: url(../img/hamburger.png);
    background-size: contain;
    background-position: center;
    transition: filter 150ms ease;
    filter: contrast(0) brightness(200%);
    pointer-events: none;
}

.nav__hamburger:hover .image,
.nav__hamburger:active .image {
    /*Change to X*/
}

.nav__hamburger:hover .cover-circle,
.nav__hamburger:active .cover-circle {
    width: 5000%;
    height: 5000%;
}

.nav__links {
    display: flex;
    align-items: center;
    color: white;    
}

.nav__links a {
    font-family: var(--ff-serif);
    display: inline-block;
    padding: 0.5em;
    color: white;
    text-decoration: none;
    transition: color 150ms ease;
    text-shadow: 0 0 .5em black;
}

.nav__links a:hover,
.nav__links a:focus,
.nav__links a.active {
    color: var(--clr-highlight);
    text-decoration: none;
}



/**/
/* Menu Styling */
/**/

.menu {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--clr-footer);
    color: white;
    display: flex;
    flex-direction: column;
    z-index: var(--menu-z-index);
    display: none;
}

.menu .menu-head {
    display: flex;
    align-items: center;
    padding: var(--min-padding);
}

.menu .nav__links {
    flex-direction: column;
    align-items: flex-start;
}

.menu .nav__links a {
    padding-block: 1em;
    padding-left: var(--min-padding);
}

.menu .divider {
    height: .1em;
    width: 100%;
    background: #2B2B2A;
    margin-block: 1em;
}

.menu .capsule-button {
    align-self: center;
}



/**/
/* Large Screens */
/**/

@media only screen and (min-width: 750px) {

    .nav__flow {
        position: relative;
        max-width: 120rem;
        height: 8em;
        display: flex;
        justify-content: center;
    }

    .nav__flow .trr-logo {
        margin-right: 3em;
    }

    .nav__links {
        flex-wrap: wrap;
        justify-content: center;
        margin-block: auto;
    }

    .nav__links a {
        margin-inline: 2em;
        position: relative;
        text-decoration: none;
    }

    .nav__links a:after {
        content: '';
        position: absolute;
        bottom: 0;
        height: 2px;
        left: 0;
        right: 0;
        background: var(--clr-highlight);
        transform: scaleX(0.5);
        pointer-events: none;
        transition: transform 150ms ease, opacity 150ms ease;
        opacity: 0;
    }

    .nav__links a:hover:after,
    .nav__links a:focus:after {
        transform: scaleX(1);
        opacity: 1;
    }
}